#include<iostream>
using namespace std;
int main(){
    int n,d,k;
    int nac=1;
    int sbor=1;
    cin>>n>>d>>k;

    for(int i=0; i<k; i++){
        nac=nac+d;
        if(nac>n){
            nac=nac%n;
        }
        sbor=sbor+nac;



    }

    cout<<sbor<<endl;



    return 0;
}
